Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface RealmMBean

public interface RealmMBean
extends ConfigurationMBean

This bean represents the SecurityMBean's realm properties. It includes the following: - the configuration parameters for the mandatory FileRealm - the configuration parameters for the optional CachingRealm - Methods to manage users/groups/acls/permissions

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`CachingRealmMBean` | `getCachingRealm()` If any realm other than the FileRealm is used, it is specified by attaching it to a CachingRealmMBean then attaching the CachingRealmMBean to the RealmMBean.
`int` | `getResultsBatchSize()` Specifies the batch size (that is, how many users/groups/acls to return per rpc) for returning users/groups/acls so that we don't either have 1 rpc per user/group/acl or one mega rpc that ships so much data that we run out of memory
`void` | `refresh()` Propagate changes to users/groups/acls to the realms in the managed servers
`void` | `setCachingRealm(CachingRealmMBean mb)`
`void` | `setResultsBatchSize(int size)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getCachingRealm

    public CachingRealmMBean getCachingRealm()

  If any realm other than the FileRealm is used, it is specified by attaching it to a CachingRealmMBean then attaching the CachingRealmMBean to the RealmMBean. If non-null, then an alternate realm is to be used. If null, then only the FileRealm is to be used.

### setCachingRealm

    public void setCachingRealm(CachingRealmMBean mb)
                         throws javax.management.InvalidAttributeValueException

### refresh

    public void refresh()
                 throws RealmException,
                        DistributedManagementException

  Propagate changes to users/groups/acls to the realms in the managed servers

  A dynamic MBean attribute

### getResultsBatchSize

    public int getResultsBatchSize()

  Specifies the batch size (that is, how many users/groups/acls to return per rpc) for returning users/groups/acls so that we don't either have 1 rpc per user/group/acl or one mega rpc that ships so much data that we run out of memory

  Default Value: 200
  Legal Value: value >= 0

### setResultsBatchSize

    public void setResultsBatchSize(int size)
                             throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD